"use client";

import { useEffect, useState } from "react";

import Head from "./Head";
import Title from "./title";
import LatestArticles from "./latestArticles";

function BlogsPage() {
  const [loading, setLoading] = useState(true);

  useEffect(() => {
    setTimeout(() => {
      setLoading(false);
    }, 2000);
  }, []);

  return (
    <div className="padding-responsive pt-[84px] sm:pt-[110px] md:pt-[140px] lg:pt-[168px]">
      <Title />
      <Head loading={loading} />
      <LatestArticles loading={loading} />
    </div>
  );
}

export default BlogsPage;
